%define oname ipaddress

%def_with python3

Name: python-module-%oname
Version: 1.0.6
Release: alt1.git20140914
Summary: IPv4/IPv6 manipulation library
License: Python
Group: Development/Python
Url: https://pypi.python.org/pypi/ipaddress/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# https://github.com/phihag/ipaddress.git
Source: %name-%version.tar
BuildArch: noarch

BuildPreReq: python-devel python-module-setuptools-tests
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools-tests
%endif

%py_provides %oname

%description
Port of the 3.3+ ipaddress module to 2.6 and 2.7.

%package -n python3-module-%oname
Summary: IPv4/IPv6 manipulation library
Group: Development/Python3
%py3_provides %oname

%description -n python3-module-%oname
Port of the 3.3+ ipaddress module to 2.6 and 2.7.

%prep
%setup

%if_with python3
cp -fR . ../python3
%endif

%build
%python_build_debug

%if_with python3
pushd ../python3
%python3_build_debug
popd
%endif

%install
%python_install

%if_with python3
pushd ../python3
%python3_install
popd
%endif

%check
python setup.py test
python test_ipaddress.py
%if_with python3
pushd ../python3
python3 setup.py test
python3 test_ipaddress.py
popd
%endif

%files
%doc README*
%python_sitelibdir/*

%if_with python3
%files -n python3-module-%oname
%doc README*
%python3_sitelibdir/*
%endif

%changelog
* Thu Oct 16 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.6-alt1.git20140914
- Initial build for Sisyphus

